[Overview][Resource strings][Constants][Types][Procedures and functions][Index] | Reference for unit 'unicodedata' (#rtl)

# FromUCS4

Convert UCS4 to UNicodeChar

## Declaration

Source position: unicodedata.pas line 474

`procedure FromUCS4(`
`const AValue: UCS4Char;`
`out AHighS: UnicodeChar;`
`out ALowS: UnicodeChar`
`);`

## Arguments

`AValue` |  | UCS4 encoded unicode character
`AHighS` |  | High character of surrogate pair
`ALowS` |  | Low character of surrogate pair

## Description

FromUCS4 converts the UCS4 encoded unicode character AValue to a set of unicode (surrogate pair) characters encoded in UTF16: AHighS, ALowS.

## See also

ToUCS4 |  | Encode unicode UTF16 surrogate pair to UCS4 character
UnicodeIsHighSurrogate |  | Check if a UTF16 character is the high character in a surrogate pair.
UnicodeIsLowSurrogate |  | Check if a UTF16 character is the low character in a surrogate pair.
UnicodeIsSurrogatePair |  | Check if a pair of UTF16 encoded characters is a valid surrogate pair.